Chuyển đến nội dung
Diễn đàn CADViet
phantuhuong

Phóng riêng đối tượng là Text trong bản vẽ

Các bài được khuyến nghị

Một số bản vẽ có nội dung chữ (single line) quá to hoặc quá nhỏ, thủ tục dưới đây sẽ giúp tăng hoặc giảm cỡ chữ trong bản vẽ phù hợp. Từ thủ tục này các bạn có thể tuỳ biến cho phù hợp.

Sub ScaleTextObject()
Dim AcadObj As AcadEntity
Dim SsetObj As AcadSelectionSet
Dim BasePoint As Variant
Dim TextScale As Single

On Error Resume Next

Set SsetObj = ThisDrawing.SelectionSets.Add("TextObj")
SsetObj.SelectOnScreen

TextScale = Val(InputBox("Nhap ty le phong (la so thap phan):"))
For Each AcadObj In SsetObj
	If AcadObj.ObjectName = "AcDbText" Then
		BasePoint = AcadObj.InsertionPoint
		AcadObj.ScaleEntity BasePoint, TextScale
	End If

Next
ThisDrawing.SelectionSets.Item("TextObj").Delete
Set SsetObj = Nothing
Set AcadObj = Nothing
End Sub

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Một số bản vẽ có nội dung chữ (single line) quá to hoặc quá nhỏ, thủ tục dưới đây sẽ giúp tăng hoặc giảm cỡ chữ trong bản vẽ phù hợp. Từ thủ tục này các bạn có thể tuỳ biến cho phù hợp.

Sub ScaleTextObject()
Dim AcadObj As AcadEntity
Dim SsetObj As AcadSelectionSet
Dim BasePoint As Variant
Dim TextScale As Single

On Error Resume Next

Set SsetObj = ThisDrawing.SelectionSets.Add("TextObj")
SsetObj.SelectOnScreen

TextScale = Val(InputBox("Nhap ty le phong (la so thap phan):"))
For Each AcadObj In SsetObj
	If AcadObj.ObjectName = "AcDbText" Then
		BasePoint = AcadObj.InsertionPoint
		AcadObj.ScaleEntity BasePoint, TextScale
	End If

Next
ThisDrawing.SelectionSets.Item("TextObj").Delete
Set SsetObj = Nothing
Set AcadObj = Nothing
End Sub

 

Đoạn mã này rất tiện, nhưng nếu tất cả công việc đều chuyển thành VBA thì mỗi người sẽ có 1 bộ sưu tập mã khủng quá.

Công việc như trên mình hay làm như sau tuy không thể nhanh bằng bằng dùng mã nhưng không cần dùng đến VBA.

- Bạn dùng lệnh pr (PROPERTIES) cửa sổ PROPERTIES sẽ hiện lên ở phía bên trái

- Bôi đen tất cả Text cần chỉnh(chọn lẫn các đối tượng khác cũng không sao)

- Autocad sẽ thống kê được tất cả các loại đã được chọn, sau đó chọn Text, trong cửa sổ PROPERTIES có thể chỉnh được các thuộc tính của text.

- Muốn chỉnh cỡ chữ thì chỉnh thông số của 'Height'

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đoạn mã này rất tiện, nhưng nếu tất cả công việc đều chuyển thành VBA thì mỗi người sẽ có 1 bộ sưu tập mã khủng quá.

Công việc như trên mình hay làm như sau tuy không thể nhanh bằng bằng dùng mã nhưng không cần dùng đến VBA.

- Bạn dùng lệnh pr (PROPERTIES) cửa sổ PROPERTIES sẽ hiện lên ở phía bên trái

- Bôi đen tất cả Text cần chỉnh(chọn lẫn các đối tượng khác cũng không sao)

- Autocad sẽ thống kê được tất cả các loại đã được chọn, sau đó chọn Text, trong cửa sổ PROPERTIES có thể chỉnh được các thuộc tính của text.

- Muốn chỉnh cỡ chữ thì chỉnh thông số của 'Height'

 

Phương pháp này tôi thấy không ổn, vì bản vẽ có thể có nhiều kiểu chữ, kích cỡ chữ khác nhau. Từ thủ tục trên có thể linh hoạt thay đổi cỡ chữ cho từng kiểu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Phương pháp này tôi thấy không ổn, vì bản vẽ có thể có nhiều kiểu chữ, kích cỡ chữ khác nhau. Từ thủ tục trên có thể linh hoạt thay đổi cỡ chữ cho từng kiểu.

Kết hợp Quick Select (filter TextStyle) + properties.

 

 

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×